"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Gradient = function Gradient(_ref) {
  var primaryColor = _ref.primaryColor,
      secondaryColor = _ref.secondaryColor,
      offset = _ref.offset,
      index = _ref.index,
      value = _ref.value;

  if (index === 1) {
    offset = value % 1 * 100;
  }

  return index === 1 && _react.default.createElement("defs", null, _react.default.createElement("linearGradient", {
    id: "full"
  }, _react.default.createElement("stop", {
    offset: "100%",
    stopColor: primaryColor
  })), _react.default.createElement("linearGradient", {
    id: "none"
  }, _react.default.createElement("stop", {
    offset: "100%",
    stopColor: secondaryColor
  })), _react.default.createElement("linearGradient", {
    id: "half"
  }, _react.default.createElement("stop", {
    offset: "".concat(offset, "%"),
    stopColor: primaryColor
  }), _react.default.createElement("stop", {
    offset: "".concat(offset, "%"),
    stopColor: secondaryColor
  })));
};

Gradient.propTypes = {
  primaryColor: _propTypes.default.string.isRequired,
  secondaryColor: _propTypes.default.string.isRequired,
  offset: _propTypes.default.number,
  index: _propTypes.default.number.isRequired,
  value: _propTypes.default.number.isRequired
};
var _default = Gradient;
exports.default = _default;